jQuery(document).ready(function() {
    "use strict";
    jQuery(".progress").each(function () {
        var progressNumb = jQuery(this).data("progress");
        jQuery(this).rounders({
            percent: progressNumb
        });
    });
    jQuery('.dropdown-toggle').dropdown();
    jQuery('.featureicon').popover({
        trigger: "hover"
    });
    jQuery('.help-toggle').popover({
        trigger: "hover"
    });
    jQuery('html').on('click', function (event) {
        var target = jQuery(event.target);
        if (jQuery(target).parents('#domainbulk').length > 0 || jQuery(target).parents('#domaintld').length > 0 || jQuery(target).parents('#domainprices').length > 0 || jQuery(target).parents('.hiddenbox').length > 0 || target.is(".hiddenbox") || jQuery(target).parents('.header ul').length > 0) {} else {
            jQuery(".visible").removeClass('visible');
        }


    });
	 jQuery('.disabled').on('click', function (e) {
        e.preventDefault();
    });
    jQuery('.toggle-bar').on('click', function (e) {
        e.preventDefault();
		jQuery(this).toggleClass("open");
        jQuery("#topbar").slideToggle(200);
    });
    jQuery('#faqbox h3 a').on('click', function (e) {
        e.preventDefault();
        event.stopPropagation();
        jQuery(this).parent().parent().find(".answer").toggleClass("active");
    });
    jQuery('.scrolltop').on('click', function (e) {
        e.preventDefault();
        jQuery("html").ScrollTo();
    });
    jQuery('.dropdown-toggle').on('click', function (e) {
        e.preventDefault();
        e.stopPropagation();
        var boxid = jQuery(this).data("toggle");
        if (jQuery(this).parents('#domainmain').length > 0) {
            jQuery("#domainscroll").ScrollTo();
        }
        if (jQuery(this).hasClass("visible")) {
            jQuery(".visible").removeClass('visible');
        } else {
            jQuery(".visible").removeClass('visible');
            jQuery(this).addClass('visible');
            jQuery("#" + boxid).addClass("visible");
        }
    });
    jQuery('.hosting-toggle').on('click', function (e) {
        e.preventDefault();
        jQuery(this).parent().parent().find(".active").removeClass("active");
        jQuery(this).parent().addClass("active");
        var boxID = jQuery(this).data("toggle");
        jQuery('.dropdown-box.active').removeClass("active");
        jQuery('.' + boxID).addClass("active");
    });
    jQuery('.header > ul li.menu-item-has-children > a').on('click', function (event) {
        event.preventDefault();
		if( jQuery(this).parent().hasClass("hovered")){
			jQuery(this).parent().parent().find(".visible").removeClass("visible");
			jQuery(this).parent().parent().find(".hovered").removeClass("hovered");
			jQuery(this).parent().children("ul").removeClass("visible");
			jQuery(this).parent().removeClass("hovered");
		}else{
			jQuery(this).parent().parent().find(".visible").removeClass("visible");
			jQuery(this).parent().parent().find(".hovered").removeClass("hovered");
			jQuery(this).parent().addClass("hovered");
        	jQuery(this).parent().children("ul").addClass("visible");
		}
    });
    jQuery('.plan').on('mouseover', function (event) {
        jQuery(this).parent().parent().parent().parent().parent().parent().find(".plan.featured").removeClass("featured").addClass("notfeatured");
        jQuery(this).removeClass("notfeatured").addClass("featured");
    });
    jQuery('.hosting-types div[class^="col"]').on('mouseover', function (event) {
        jQuery(this).parent().parent().find(".featured").removeClass("featured").addClass("notfeatured");
        jQuery(this).removeClass("notfeatured").addClass("featured");
    });
    jQuery('.compareplans ul li ul li:not(:first-child)').on('mouseover', function (event) {
        var indexComp = (jQuery(this).index()) + 1;
        jQuery(".compareplans ul li ul li.featured").removeClass("featured");
        jQuery(".compareplans ul li ul").each(function (index) {
            jQuery(".compareplans ul li ul li:nth-child(" + indexComp + ")").addClass("featured");
        });
    });
    jQuery('.plan').on('click', function (event) {
        jQuery(this).parent().parent().find(".featured").removeClass("featured").addClass("notfeatured");
        jQuery(this).removeClass("notfeatured").addClass("featured");
    });
    jQuery('.phonemenu').on('click', function (event) {
        jQuery(this).parent().find("ul").toggleClass("shown");
    });
    jQuery('.extcheck').on('click', function () {
        if (jQuery(this).find('input[type="radio"]').attr("value") === "off") {
            jQuery(".extensionslist").removeClass("shown");
			jQuery(".extensionsalt").addClass("shown");
        } else {
            jQuery(".extensionslist").addClass("shown");
			 jQuery(".extensionsalt").removeClass("shown");
        }
    });
	jQuery("#languagetopbar").on('change', function (event) {
     var selectedOption = this.value;
     window.location.href = selectedOption;
	});
	var maxReight = -1;
    jQuery('#plancarousel .item').each(function() {
        maxReight = maxReight > jQuery(this).height() ? maxReight : jQuery(this).height();
    });
	//jQuery("#plancarousel").height(maxReight);
	
	var maxFeight = -1;
    jQuery('#relatedblog .post h2').each(function() {
        maxFeight = maxFeight > jQuery(this).height() ? maxFeight : jQuery(this).height();
    });
	jQuery('#relatedblog .post h2').each(function() {
       jQuery(this).height(maxFeight);
    });
	
	var maxGeight = -1;
    jQuery('.stickypoststop .titleheight').each(function() {
        maxGeight = maxGeight > jQuery(this).height() ? maxGeight : jQuery(this).height();
    });
	jQuery('.stickypoststop .titleheight').each(function() {
       jQuery(this).height(maxGeight);
    });
    jQuery(window).load(function () {
		jQuery('#loading').fadeOut("fast");
		jQuery('#clientarehometope').fadeIn("fast");
		jQuery('#clientarehometope').isotope({});
		jQuery(".isotopefilter").each(function () {
			var isotopeID = jQuery(this).data("id");
			jQuery('[data-id="'+isotopeID+'"]').isotope({});
			
			jQuery(".suboptions li a").on('click', function (e) {
            var textAlt2 = jQuery(this).text(), filterValue2 = jQuery(this).attr('data-filter');
			var isotopeHolder = jQuery(this).parent().parent().parent().parent().data("holder");
			console.log(isotopeHolder);
            jQuery(this).parent().parent().parent().find("button").html(textAlt2 + ' <span class="caret"></span>');
            e.preventDefault();
            jQuery('[data-id="'+isotopeHolder+'"]').isotope({
                filter: filterValue2
            });
        	});
    	});
        
    });
	if(jQuery('#stickyheader').length){
	var header = jQuery(".header"),
    clone = header.before(header.clone(true).addClass("clone"));
	jQuery(header).appendTo("#stickyheader .container");
     jQuery(window).on("scroll", function() {
            var fromTop = jQuery(window).scrollTop();
            jQuery("body").toggleClass("down", (fromTop > 200));
     });
	}
});